Page MenuHomePhabricator

Change `#searchInput` to `type="search"` and add `<label>`.
Closed, ResolvedPublic

Description

Change #searchInput to type="search" and add <label> for improving accessibility, handling of clicks on the search field and search field focus and addressing SVG rendering issues in older browsers (namely IE <11).

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
ResolvedNone
ResolvedVolker_E

Event Timeline

Volker_E created this task.Aug 14 2015, 8:58 PM
Volker_E claimed this task.
Volker_E raised the priority of this task from to Low.
Volker_E updated the task description. (Show Details)
Volker_E added a project: Blueprint.
Volker_E added a subscriber: Volker_E.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2015, 8:58 PM
Volker_E set Security to None.
Volker_E edited subscribers, added: Prtksxna; removed: Volker_E.
Volker_E renamed this task from Add `<label>` to #searchInput to Add `<label>` to `#searchInput`.Sep 2 2015, 12:53 AM
Volker_E added a project: Accessibility.
Volker_E added a subscriber: violetto.
Volker_E renamed this task from Add `<label>` to `#searchInput` to Change `#searchInput` to `type="search"` and add `<label>`..Sep 14 2015, 3:53 AM
Volker_E updated the task description. (Show Details)

Change 238090 had a related patch set uploaded (by VolkerE):
Change #searchInput to type="search" and add <label>

https://gerrit.wikimedia.org/r/238090

As an explanation of the added CSS rule

[type="search"]::-ms-clear { // IE10+ adds clearing x, we want to avoid
	display: none;
}

Here's a screenshot of the clear button that comes with type="search" on IE 10+. We're going to hide it for now, as long as we don't have a cross-browser function.

Change 238090 merged by jenkins-bot:
Change #searchInput to type="search" and add <label>

https://gerrit.wikimedia.org/r/238090

Volker_E closed this task as Resolved.Sep 22 2015, 1:15 AM
Volker_E moved this task from Needs Review / Feedback to Done on the Blueprint board.